<?php
/**
 * Get pathes from an package package.
 * 
 * @param  string    $package 
 * @access public
 * @return array
 */
public function getPathesFromPackage($package)
{
    $pathes = parent::getPathesFromPackage($package);

    $uploadPath     = 'www' . DS . 'data' . DS . 'upload';
    $siteUploadPath = 'www' . DS . 'data' . DS . 'upload' . DS . $this->config->site->id;
    $pathes = str_replace($uploadPath, $siteUploadPath, $pathes);

    $sourcePath     = 'www' . DS . 'data' . DS . 'source';
    $siteSourcePath = 'www' . DS . 'data' . DS . 'source' . DS . $this->config->site->id;
    $pathes = str_replace($sourcePath, $siteSourcePath, $pathes);

    $slidesPath     = 'www' . DS . 'data' . DS . 'slides';
    $siteSlidesPath = 'www' . DS . 'data' . DS . 'slides' . DS . $this->config->site->id;
    $pathes = str_replace($slidesPath, $siteSlidesPath, $pathes);

    $cssPath     = 'www' . DS . 'data' . DS . 'css';
    $siteCssPath = 'www' . DS . 'data' . DS . 'css' . DS . $this->config->site->id;
    return str_replace($cssPath, $siteCssPath, $pathes);
}

/**
 * Extract an package.
 * 
 * @param  string    $package 
 * @access public
 * @return object
 */
public function extractPackage($package, $type = 'ext') 
{
    $return = parent::extractPackage($package, $type);

    if($return->result == 'ok') 
    {
        $packagePath = $type . DS . $package;
        $dataPath = $packagePath . DS . 'www' . DS . 'data' ;
        $siteDataPath = $packagePath . DS . 'www' . DS . 'sites' . DS . $this->config->siteDomain . DS . 'data';
        if(!is_dir(dirname($siteDataPath))) mkdir($siteDataPath, 0777, true);
        $result = rename($dataPath, $siteDataPath);
    }
    return $return;
}
